Subject: Re: [PATCH] net-ipv4-tcp.c-fix-warning-from-older-compilers.patch

From: William Allen Simpson <[email-masked]>
Date: Fri, 11 Dec 2009 10:49:38 -0500

Eric Dumazet wrote:
> This is not necessary, David already _did_ the thing, and _told_ so.
> 
There doesn't seem to be a patch sent to the list, at least it didn't
show up in my mail, nor is it in the archive.  Such mistakes happen.

> You probably missed fact we are in merge window, so fixes (and only fixes)
> are pushed into net-2.6 tree.
> 
That's my understanding.  I'd asked a question earlier which tree to
patch against (which he didn't answer), but a later message was more
helpful and detailed.

> When Linus closes this merge window (issuing a linux-2.6.33-rc1 tag),
> then David re-opens net-next-2.6 tree for new stuff.
> 
That's my understanding, thanks again.  (This isn't new stuff.)

> http://git2.kernel.org/?p=linux/kernel/git/davem/net-2.6.git;a=commitdiff;h=3dc789320e1b310cb505dcd94512c279abcd5e1c
> 
Well, I'll be darned!  There must be some list that you're on that sends
out such notifications....

Not a good patch, as it accidentally removed the section comment.  And it
fails to describe or test against buffer overruns.

So, he'll have no problems backing out his patch and adding mine.